doctrine:
    dbal:
        url: '%env(resolve:DATABASE_URL)%'

        # IMPORTANT: You MUST configure your server version,
        # either here or in the DATABASE_URL env var (see .env file)
        #server_version: '5.7'
    orm:
        auto_generate_proxy_classes: "%kernel.debug%"
        default_entity_manager: default
        entity_managers:
            default:
                naming_strategy: doctrine.orm.naming_strategy.underscore
                auto_mapping: true
                dql:
                    string_functions:
                        group_concat: DoctrineExtensions\Query\Mysql\GroupConcat
                        ifelse: DoctrineExtensions\Query\Mysql\IfElse
                        regexp: DoctrineExtensions\Query\Mysql\Regexp

                    datetime_functions:
                        date: DoctrineExtensions\Query\Mysql\Date
                        datediff: DoctrineExtensions\Query\Mysql\DateDiff
                        year: DoctrineExtensions\Query\Mysql\Year
                        month: DoctrineExtensions\Query\Mysql\Month
                        week: DoctrineExtensions\Query\Mysql\Week
                        weekday: DoctrineExtensions\Query\Mysql\WeekDay
                        day: DoctrineExtensions\Query\Mysql\Day
                        timetosec: DoctrineExtensions\Query\Mysql\TimeToSec
                        timediff: DoctrineExtensions\Query\Mysql\TimeDiff
